Subject: Re: [Emu] Identities and draft-ietf-emu-tls-eap-types-03

From: Tim Cappalli <[email-masked]>
Date: Mon, 2 Aug 2021 20:32:04 +0000

>> However, if the outer realm is "@example.com", then the inner realm cannot be "[email-masked]".

I disagree with this requirement. Many organizations have multiple domains used for fully qualified usernames but for routing simplicity, may want to use the org's primary domain for routing.

It should be perfectly valid to configure an outer realm of @microsoft.com but have inner identities with other domains (ex: [email-masked], [email-masked], etc)

tim
________________________________
From: Emu <[email-masked]> on behalf of Alan DeKok <[email-masked]>
Sent: Friday, July 30, 2021 12:50:43 PM
To: Alan DeKok <[email-masked]>
Cc: EMU WG <[email-masked]>
Subject: Re: [Emu] Identities and draft-ietf-emu-tls-eap-types-03

  Based on comments from the meeting yesterday, I propose changing the last few paragraphs to this:

Implementations SHOULD NOT use inner identies which contain an NAI
realm.  The outer identity contains an NAI realm, which ensures that
the inner authentication method is routed to the correct destination.
As such, any NAI realm in the inner identity is usually redundant.

However, if the inner identity does contain an NAI realm, the inner
realm MUST be a subdomain of the outer realm.  The inner realm MUST
NOT be from a different realm than the outer realm.  There are very few
reasons for those realms to be different.

For example, if the outer realm is "@example.com", then the inner
identity could be "username", or "[email-masked]", or
"[email-masked]".  However, if the outer realm is
"@example.com", then the inner realm cannot be
"[email-masked]".

> On Jul 26, 2021, at 7:45 AM, Alan DeKok <[email-masked]> wrote:
>
>  I propose to add a new section which discusses identities.
>
>  As background, an (un-named) vendor recently made changes to their EAP stack.  The configuration for TTLS/PEAP now takes the external (anonymous) identity, and uses that as the inner identity.
>
>  i.e. instead of sending "@example.com" for the outer identity, and "myname" for the inner one, it just sends "@example.com" for both.
>
>  Perhaps unsurprisingly, this causes authentication to fail.  The work-around is to reconfigure the supplicant so that the outer identity is the "real" one.  This has privacy implications, as the inner identity is now being exposed.
>
>  I'm proposing new text which explains some basic ideas about identities, and what should/should not be done.  I don't think that these proposals are controversial, but they are perhaps surprising to some implementors.
>
>
>
> Identities
> ------------
>
> [EAPTLS] Sections 2.1.3 and 2.1.7 recommend the use of anonymous NAIs
> [RFC7542] in the EAP Identity Response packet.  However, as EAP-TLS
> does not send application data inside of the TLS tunnel, that
> specification does not address the subject of "inner" identities in
> tunneled EAP methods.  This subject, however, must be addressed for
> the tunneled methods.
>
> Using an anonymous NAI has two benefits. First, an anonymous identity
> makes it more difficult to track users.  Second, an NAI allows the EAP
> session to be routed in an AAA framework.
>
> For the purposes of tunneled EAP methods, we can therefore view the
> outer TLS layer as being mainly a secure transport layer.  That
> transport layer is responsible for getting the actual (inner)
> authentication credentials securely from the EAP peer to the EAP
> server.  As the outer identity is simply an anonymous routing
> identifier, there is little reason for it to be the same as the inner
> identity.  We therefore have a few recommendations on the inner
> identity, and its relationship to the outer identity.
>
> For the purpose of this section, we define the inner identity as the
> identification information carried inside of the tls tunnel.  For
> PEAP, that identity may be an EAP Response Identity.  For TTLS, it may
> be the User-Name attribute.
>
> Implementations MUST not use anonymous identities for the inner
> identity.  If anonymous network access is desired, eap peers MUST use
> EAP-TLS without peer authentication, as per [EAPTLS] section 2.1.5.
> EAP servers MUST cause authentication to fail if an EAP peer uses an
> anonymous identity.
>
> Implementations SHOULD NOT use inner identies which contain an NAI
> realm.  The outer identity contains an NAI realm, which ensures that
> the inner authentication method is routed to the correct destination.
> As such, any NAI realm in the inner identity is redundant and
> unnecessary.
>
> However, if the inner identity does contain an NAI realm, that realm
> MUST be identical to the outer identity NAI realm.  There is no reason
> for these realms to be anything other than bit-for-bit identical.
>
> _______________________________________________
> Emu mailing list
> [email-masked]
> https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Femu&amp;data=04%7C01%7Ctim.cappalli%40microsoft.com%7C9d3e525eb5674a6d863708d9537a408f%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C637632606826401422%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=qNLewg8EXZzpyJjJi55L9l37uHkPCErKt82nAkiTvYk%3D&amp;reserved=0

_______________________________________________
Emu mailing list
[email-masked]
https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Femu&amp;data=04%7C01%7Ctim.cappalli%40microsoft.com%7C9d3e525eb5674a6d863708d9537a408f%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C637632606826401422%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=qNLewg8EXZzpyJjJi55L9l37uHkPCErKt82nAkiTvYk%3D&amp;reserved=0

---

From: Alan DeKok <[email-masked]>
Date: Tue, 3 Aug 2021 08:20:00 -0400

> It should be perfectly valid to configure an outer realm of @microsoft.com but have inner identities with other domains (ex: [email-masked], [email-masked], etc)

  Does this happen a lot?  I must admit I've rarely seen anything like this.

  On top of that, enterprise routing is much rarer than in educational systems like Eduroam.  While enterprise "roaming providers" exist, they're typically not doing 802.1X.  So there's only one identity for them. 

  OpenRoaming is new, and enterprise, and 802.1X.  But it's not widely used, and the identities are typically automatically provisioned.  i.e. to your phone, via the telephone provider.  And there's no "legacy" issues, so the outer identity is for routing, and the inner identity is controlled and provisioned by the provider.

  So I can't think of many good reasons to have different outer/inner realms.  The use-cases are small, and rare.

  I'm OK with not forbidding it.  But I think there needs to be strong language saying "this is a terrible idea, and you really need to think hard before doing anything like this".

  Alan DeKok.

---

From: Tim Cappalli <[email-masked]>
Date: Tue, 3 Aug 2021 14:01:24 +0000

I fail to understand why this is "a terrible idea". Many organizations, including EDUs have multiple TLDs that are used for sign-in. Cloud IdPs require a fully qualified username.

I don't think there should be any text on this topic.

From: Alan DeKok <[email-masked]>
Date: Tuesday, August 3, 2021 at 08:20
To: Tim Cappalli <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: Re: [Emu] Identities and draft-ietf-emu-tls-eap-types-03

  Alan DeKok.

---

From: Alan DeKok <[email-masked]>
Date: Tue, 3 Aug 2021 10:50:16 -0400

> I fail to understand why this is "a terrible idea". Many organizations, including EDUs have multiple TLDs that are used for sign-in. Cloud IdPs require a fully qualified username.

  Sure.  It's good to see the NAI recommendations of RFC 7542 being more widely adopted.  :)

  My question though is this a use-case for 802.1X?  Are users really capable now of entering one identity for the outer routing, and a completely different one for the inner one?  Or do the users use MDM to do it?

  I haven't seen wide-spread use of different realms in EAP, but maybe I'm not talking to the right people.

> I don't think there should be any text on this topic.

  I think it's useful to give guidance on pros/cons of this issue.  If using different inner/outer realms is a common practice, then it would be good to explain when that's used, and why.

  Alan DeKok.

---

From: Tim Cappalli <[email-masked]>
Date: Tue, 3 Aug 2021 15:15:49 +0000

An EAP identities only apply to 802.1X, so yes. Supplicants are not designed to be configured by end users. How this data gets configured is irrelevant to the conversation.

tim

Date: Tuesday, August 3, 2021 at 10:50

  Alan DeKok.

---

From: Alan DeKok <[email-masked]>
Date: Tue, 3 Aug 2021 11:35:19 -0400

> On Aug 3, 2021, at 11:15 AM, Tim Cappalli <[email-masked]> wrote:
> 
> An EAP identities only apply to 802.1X, so yes.

  What I meant is to ask if sites really do use multiple different realms with EAP, and do so with cloud providers.

  As I said, I haven't seen this use-case, and I haven't anyone discuss it before this conversation.  If it's widely used, then the draft should allow it.  If it's rare to non-existent, then IMHO the draft should suggest it's not a good idea.

  Alan DeKok.

---

From: Tim Cappalli <[email-masked]>
Date: Tue, 3 Aug 2021 15:36:15 +0000

Yes, they do, which is why I brought it up.

It is becoming even more common with Passpoint becoming the preferred deployment model.

Date: Tuesday, August 3, 2021 at 11:35

  Alan DeKok.

---

From: Alan DeKok <[email-masked]>
Date: Tue, 3 Aug 2021 12:57:25 -0400

> It is becoming even more common with Passpoint becoming the preferred deployment model.

  OK.  I'll update the draft.

  Alan DeKok.